## wine-staging-1.7.29.tar.gz

=== patches/Makefile ===
#
# This file is automatically generated, DO NOT EDIT!
#

.NOTPARALLEL:

CURDIR    ?= ${.CURDIR}
PATCH     := $(CURDIR)/../debian/tools/gitapply.sh
APPLY      = (cd "$(DESTDIR)" && $(PATCH))
APPLY_FILE = @echo "Applying $(1)"; $(APPLY) < "$(CURDIR)/$(1)"

#
# This Makefile understands the following targets:
#
# install (default):  apply patches to directory provided by DESTDIR
# install-git:        as above, but use 'git am' to apply the patches
# series:             create a 'series' file containing the patch order
# clean:              delete autogenerated and temporary files
#

PATCHLIST := \
	Compholio.ok \
	Miscellaneous.ok \
	Pipelight.ok \
	atl-IOCS_Property.ok \
	comctl32-LoadIconMetric.ok \
	configure-Absolute_RPATH.ok \
	configure-Detect_Gnutls.ok \
	d3dx9_36-GetShaderSemantics.ok \
	d3dx9_36-UpdateSkinnedMesh.ok \
	dbghelp-KdHelp.ok \
	dsound-Fast_Mixer.ok \
	fonts-Missing_Fonts.ok \
	gdi32-MultiMonitor.ok \
	imagehlp-BindImageEx.ok \
	imm32-Cross_Thread_Access.ok \
	iphlpapi-TCP_Table.ok \
	kernel32-FindFirstFile.ok \
	kernel32-GetFinalPathNameByHandle.ok \
	kernel32-GetNumaProcessorNode.ok \
	kernel32-GetSystemTimes.ok \
	kernel32-GetVolumePathName.ok \
	kernel32-Named_Pipe.ok \
	kernel32-UTF7_Support.ok \
	libs-Unicode_Collation.ok \
	libwine-BSD_mmap_fixed.ok \
	mshtml-sessionStorage.ok \
	msvcp90-basic_string_wchar_dtor.ok \
	ntdll-ATL_Thunk.ok \
	ntdll-DOS_Attributes.ok \
	ntdll-Dynamic_DST.ok \
	ntdll-Exception.ok \
	ntdll-FD_Cache.ok \
	ntdll-FileDispositionInformation.ok \
	ntdll-Fix_Alignment.ok \
	ntdll-Fix_Free.ok \
	ntdll-Heap_FreeLists.ok \
	ntdll-Junction_Points.ok \
	ntdll-NtQuerySection.ok \
	ntdll-Pipe_SpecialCharacters.ok \
	ntdll-WRITECOPY.ok \
	ntoskrnl-Irp_Status.ok \
	quartz-MediaSeeking_Positions.ok \
	riched20-IText_Interface.ok \
	server-ACL_Compat.ok \
	server-Address_Change_Notification.ok \
	server-CreateProcess_ACLs.ok \
	server-Inherited_ACLs.ok \
	server-Misc_ACL.ok \
	server-OpenProcess.ok \
	server-Stored_ACLs.ok \
	setupapi-SetupPromptForDisk.ok \
	shdocvw-ParseURLFromOutsideSource_Tests.ok \
	shell32-Default_Folder_ACLs.ok \
	shell32-Default_Path.ok \
	shell32-Icons.ok \
	shell32-RunDLL_CallEntry16.ok \
	shell32-SHCreateSessionKey.ok \
	shell32-SHFileOperation.ok \
	shlwapi-PathIsDirectoryEmptyW.ok \
	shlwapi-UrlCombine.ok \
	user32-Dialog_Paint_Event.ok \
	user32-GetSystemMetrics.ok \
	user32-GetTipText.ok \
	user32-WndProc.ok \
	wine.inf-ProductId.ok \
	wineboot-HKEY_DYN_DATA.ok \
	winebuild-LinkerVersion.ok \
	wined3d-DXTn.ok \
	wined3d-Revert_PixelFormat.ok \
	winemenubuilder-Desktop_Icon_Path.ok \
	winepulse-PulseAudio_Support.ok \
	winex11-CandidateWindowPos.ok \
	winex11-Limited_Resolutions.ok \
	winex11-Window_Groups.ok \
	winex11-XEMBED.ok \
	winex11-wglShareLists.ok \
	wpcap-Dynamic_Linking.ok \
	ws2_32-Connect_Time.ok \
	ws2_32-TransmitFile.ok \
	ws2_32-inet_pton.ok \
	wtsapi32-EnumerateProcesses.ok

.PHONY: install
install: $(PATCHLIST)
	cat *.ok | sort | $(CURDIR)/../debian/tools/patchlist.sh | $(APPLY)
	cd $(DESTDIR) && autoreconf -f
	cd $(DESTDIR) && ./tools/make_requests

.PHONY: install-git
install-git: PATCH := git am
install-git: install

series: APPLY_FILE = @echo "$(1)" >> series
series: $(PATCHLIST)
	@cat *.ok | sort | $(CURDIR)/../debian/tools/patchlist.sh > patchlist.diff
	@echo "patchlist.diff" >> series
	@( \
		echo ""; \
		echo "The 'series' file was created in current directory. Please note that"; \
		echo "'patchlist.diff' is autogenerated based on your selection of patches and not"; \
		echo "included in this repository - keep in mind to update it on every release."; \
		echo ""; \
		echo "Moreover, depending on which patches you have selected, you will have to run"; \
		echo "'autoreconf -f' and/or './tools/make_requests' after applying them."; \
		echo ""; \
		binary=0; \
		while IFS= read -r line; do \
			if grep -q "^GIT binary patch" "$$line"; then \
				binary=1; break; \
			fi \
		done < series; \
		if [ "$$binary" -ne 0 ]; then \
			echo "The following files contain binary patches and cannot be applied with the"; \
			echo "regular 'patch' commandline tool:"; \
			echo ""; \
			while IFS= read -r line; do \
				grep -q "^GIT binary patch" "$$line" && echo "$$line"; \
			done < series; \
			echo ""; \
			echo "Please use 'git apply' or '../debian/tools/gitapply.sh' from this repository."; \
			echo ""; \
		fi \
	)

.PHONY: clean
clean:
	rm -f series patchlist.diff
	rm -f *.ok

# Patchset Compholio
# |
# | Included patches:
# |   *	Add winediag message to show warning, that this isn't vanilla wine. [by Sebastian Lackner]
# |   *	Append '(Compholio)' at the end of the version string. [by Sebastian Lackner]
# |   *	Add commandline option --patches to show the patch list. [by Sebastian Lackner]
# |   *	Add commandline option --check-libs to test if shared libraries are installed. [by Michael Müller]
# |
# | Modified files:
# |   *	dlls/kernel32/process.c, dlls/ntdll/misc.c, dlls/ntdll/ntdll.spec, include/wine/library.h, libs/wine/Makefile.in,
# | 	libs/wine/config.c, libs/wine/loader.c, libs/wine/wine.def, libs/wine/wine.map, loader/main.c
# |
.INTERMEDIATE: Compholio.ok
Compholio.ok:
	$(call APPLY_FILE,Compholio/0001-kernel32-Add-winediag-message-to-show-warning-that-t.patch)
	$(call APPLY_FILE,Compholio/0002-winelib-Append-Compholio-at-the-end-of-the-version-s.patch)
	$(call APPLY_FILE,Compholio/0003-loader-Add-commandline-option-patches-to-show-the-pa.patch)
	$(call APPLY_FILE,Compholio/0004-loader-Add-commandline-option-check-libs.patch)
	@( \
		echo '+    { "Compholio", "Sebastian Lackner", "Add winediag message to show warning, that this isn'\''t vanilla wine." },'; \
		echo '+    { "Compholio", "Sebastian Lackner", "Append '\''(Compholio)'\'' at the end of the version string." },'; \
		echo '+    { "Compholio", "Sebastian Lackner", "Add commandline option --patches to show the patch list." },'; \
		echo '+    { "Compholio", "Michael Müller", "Add commandline option --check-libs to test if shared libraries are installed." },'; \
	) > Compholio.ok

# Patchset Miscellaneous
# |
# | Included patches:
# |   *	kernel32: Silence repeated CompareStringEx FIXME. [by Sebastian Lackner]
# |   *	wined3d: Silence repeated resource_check_usage FIXME. [rev 2, by Erich E. Hoover]
# |   *	wined3d: Silence repeated wined3d_swapchain_present FIXME. [by Sebastian Lackner]
# |   *	usp10: Silence repeated GSUB_apply_ChainContext[Subst|Pos] FIXMEs. [by Sebastian Lackner]
# |   *	Appease the blessed version of gcc (4.5) when -Werror is enabled. [by Erich E. Hoover]
# |   *	Appease the Archlinux version of gcc (4.9.1) when -Werror is enabled. [by Sebastian Lackner]
# |   *	Silence Clang warning by removing unused TransformFilter_Vtbl. [by Amine Khaldi]
# |
# | Modified files:
# |   *	dlls/d3d9/tests/visual.c, dlls/kernel32/locale.c, dlls/msvcp90/ios.c, dlls/msvcp90/locale.c, dlls/msvcp90/string.c,
# | 	dlls/netapi32/netapi32.c, dlls/strmbase/transform.c, dlls/usp10/opentype.c, dlls/winealsa.drv/mmdevdrv.c,
# | 	dlls/wined3d/glsl_shader.c, dlls/wined3d/resource.c, dlls/wined3d/swapchain.c, tools/makedep.c
# |
.INTERMEDIATE: Miscellaneous.ok
Miscellaneous.ok:
	$(call APPLY_FILE,Miscellaneous/0001-wined3d-Silence-repeated-resource_check_usage-FIXME.patch)
	$(call APPLY_FILE,Miscellaneous/0002-kernel32-Silence-repeated-CompareStringEx-FIXME.patch)
	$(call APPLY_FILE,Miscellaneous/0003-wined3d-Silence-repeated-wined3d_swapchain_present-F.patch)
	$(call APPLY_FILE,Miscellaneous/0004-usp10-Silence-repeated-GSUB_apply_ChainContext-Subst.patch)
	$(call APPLY_FILE,Miscellaneous/0005-Appease-the-blessed-version-of-gcc-4.5-when-Werror-i.patch)
	$(call APPLY_FILE,Miscellaneous/0006-Appease-the-Archlinux-version-of-gcc-4.9.1-when-Werr.patch)
	$(call APPLY_FILE,Miscellaneous/0007-strmbase-Remove-unused-TransformFilter_Vtbl-Clang.patch)
	@( \
		echo '+    { "Miscellaneous", "Sebastian Lackner", "kernel32: Silence repeated CompareStringEx FIXME." },'; \
		echo '+    { "Miscellaneous", "Erich E. Hoover", "wined3d: Silence repeated resource_check_usage FIXME. [rev 2]" },'; \
		echo '+    { "Miscellaneous", "Sebastian Lackner", "wined3d: Silence repeated wined3d_swapchain_present FIXME." },'; \
		echo '+    { "Miscellaneous", "Sebastian Lackner", "usp10: Silence repeated GSUB_apply_ChainContext[Subst|Pos] FIXMEs." },'; \
		echo '+    { "Miscellaneous", "Erich E. Hoover", "Appease the blessed version of gcc (4.5) when -Werror is enabled." },'; \
		echo '+    { "Miscellaneous", "Sebastian Lackner", "Appease the Archlinux version of gcc (4.9.1) when -Werror is enabled." },'; \
		echo '+    { "Miscellaneous", "Amine Khaldi", "Silence Clang warning by removing unused TransformFilter_Vtbl." },'; \
	) > Miscellaneous.ok

# Patchset Pipelight
# |
# | Included patches:
# |   *	Decrease minimum SetTimer interval to 5 ms. [rev 2, by Michael Müller]
# |   *	Allow changing strict draw ordering through an exported function. [by Michael Müller]
# |   *	Indicate direct rendering through OpenGL extension. [by Michael Müller]
# |   *	Implement X11DRV_FLUSH_GDI_DISPLAY ExtEscape command. [by Sebastian Lackner]
# |
# | Modified files:
# |   *	dlls/user32/message.c, dlls/wined3d/wined3d.spec, dlls/wined3d/wined3d_main.c, dlls/winex11.drv/init.c,
# | 	dlls/winex11.drv/opengl.c, dlls/winex11.drv/x11drv.h
# |
.INTERMEDIATE: Pipelight.ok
Pipelight.ok:
	$(call APPLY_FILE,Pipelight/0001-winex11-Implement-X11DRV_FLUSH_GDI_DISPLAY-ExtEscape-c.patch)
	$(call APPLY_FILE,Pipelight/0002-user32-Decrease-minimum-SetTimer-interval-to-5-ms.patch)
	$(call APPLY_FILE,Pipelight/0003-wined3d-allow-changing-strict-drawing-through-an-exp.patch)
	$(call APPLY_FILE,Pipelight/0004-winex11.drv-Indicate-direct-rendering-through-OpenGL.patch)
	@( \
		echo '+    { "Pipelight", "Michael Müller", "Decrease minimum SetTimer interval to 5 ms. [rev 2]" },'; \
		echo '+    { "Pipelight", "Michael Müller", "Allow changing strict draw ordering through an exported function." },'; \
		echo '+    { "Pipelight", "Michael Müller", "Indicate direct rendering through OpenGL extension." },'; \
		echo '+    { "Pipelight", "Sebastian Lackner", "Implement X11DRV_FLUSH_GDI_DISPLAY ExtEscape command." },'; \
	) > Pipelight.ok

# Patchset atl-IOCS_Property
# |
# | Included patches:
# |   *	Store IOCS data in a property instead of GWLP_USERDATA. [by Qian Hong]
# |
# | This patchset fixes the following Wine bugs:
# |   *	[#21767] ATL IOCS data should not be stored in GWLP_USERDATA
# |
# | Modified files:
# |   *	dlls/atl/atl_ax.c
# |
.INTERMEDIATE: atl-IOCS_Property.ok
atl-IOCS_Property.ok:
	$(call APPLY_FILE,atl-IOCS_Property/0001-atl-Don-t-use-GWLP_USERDATA-to-store-IOCS-to-avoid-c.patch)
	@( \
		echo '+    { "atl-IOCS_Property", "Qian Hong", "Store IOCS data in a property instead of GWLP_USERDATA." },'; \
	) > atl-IOCS_Property.ok

# Patchset comctl32-LoadIconMetric
# |
# | Included patches:
# |   *	Implement LoadIconMetric function. [by Michael Müller]
# |
# | This patchset fixes the following Wine bugs:
# |   *	[#35375] Support for LoadIconMetric
# |
# | Modified files:
# |   *	dlls/comctl32/Makefile.in, dlls/comctl32/comctl32.spec, dlls/comctl32/icon.c, dlls/comctl32/tests/misc.c,
# | 	include/commctrl.h
# |
.INTERMEDIATE: comctl32-LoadIconMetric.ok
comctl32-LoadIconMetric.ok:
	$(call APPLY_FILE,comctl32-LoadIconMetric/0001-comctl32-Implement-LoadIconMetric-function.patch)
	$(call APPLY_FILE,comctl32-LoadIconMetric/0002-comctl32-tests-Add-tests-for-LoadIconMetric-function.patch)
	@( \
		echo '+    { "comctl32-LoadIconMetric", "Michael Müller", "Implement LoadIconMetric function." },'; \
	) > comctl32-LoadIconMetric.ok

# Patchset configure-Absolute_RPATH
# |
# | Included patches:
# |   *	Also add the absolute RPATH when linking against libwine. [by Sebastian Lackner]
# |
# | This patchset fixes the following Wine bugs:
# |   *	[#26256] Support for setcap on wine-preloader
# |
# | Modified files:
# |   *	configure.ac
# |
.INTERMEDIATE: configure-Absolute_RPATH.ok
configure-Absolute_RPATH.ok:

=== debian/changelog ===
wine-compholio (1.7.29) unstable; urgency=low
  * Updated DOS Attributes patch to better detect XATTR functions.
  * Updated patch for shell32 default folder ACLs.
  * Updated NtQuerySection patch.
  * Updated patch for WRITECOPY memory protection.
  * Added patch to support IDF_CHECKFIRST in SetupPromptForDisk.
  * Added patch to fix issues when executing pages with guard page / write watch permissions.
  * Added patch to set return value of basic_string_wchar_dtor to return NULL.
  * Added patch for UTF7 encoding/decoding support.
  * Added patch to implement ID3DXSkinInfoImpl_UpdateSkinnedMesh.
  * Added patch for implementation of D3DXGetShaderInputSemantics.
  * Added patch to ensure tests check exact return value of ParseURLFromOutsideSourceX.
  * Added patch for additional ATL thunks.
  * Added patch to add partially support for sessionStorage.
  * Added patch for implementation of GetNumaProcessorNode.
  * Added patch for wine64 support on FreeBSD/PC-BSD.
  * Added patch for improved multi monitor support.
  * Added patch for implementation of BindImageEx.
  * Removed patch to fix issues with drag image in ImageLists (accepted upstream).
  * Removed patch to set ldr.EntryPoint for main executable (accepted upstream).
  * Removed patch to implement stubs for [Get|Set]SystemFileCacheSize (accepted upstream).
  * Removed patches for ATL thunk implementation (accepted upstream).
  * Partially removed patches for WRITECOPY memory protection (accepted upstream).
 -- Sebastian Lackner <sebastian@fds-team.de>  Sun, 19 Oct 2014 19:37:21 +0200

wine-compholio (1.7.28) unstable; urgency=low
  * Added missing recommendation for libtxc-dxtn-s2tc0 on Ubuntu.
  * Added patch to fix issues with over-the-spot input method.
  * Added patch to fix winemenubuilder desktop icon wine path (when using multiple wine versions).
  * Added patch to support FIND_FIRST_EX_CASE_SENSITIVE flag in FindFirstFileExW.
  * Added patch to send WM_PAINT event during dialog creation.
  * Added patch to fix issues when driver dispatch routine returns different status codes.
  * Added several patches for Unity3D Editor.
  * Added patch to fix differences between exception handling behaviour in Wine and Windows.
  * Added patch to export ?_BADOFF@std@@3_JB on both i386 and win64.
  * Added patch to limit cross thread access to ImmSet* functions.
  * Added patch for IRichEditOle and ITextDocument support for ITextServices.
  * Added patch to fix implementation of SH*Shared commands.
  * Added patch to handle WRITECOPY memory protection properly on i386 (disabled by default).
  * Added patch to fix some issues with write watches / guard page access.
  * Added patch to implement NtQuerySection.
  * Added patches to make clearly visible, that this is a patched wine version.
  * Added patch for FindFirstFileExW level FindExInfoBasic. 
  * Removed patch to support FIND_FIRST_EX_CASE_SENSITIVE flag in FindFirstFileExW (accepted upstream).
  * Removed patch to fix implementation of SH*Shared commands (accepted upstream).
  * Removed patch to export ?_BADOFF@std@@3_JB on both i386 and win64 (accepted upstream).
  * Partially removed patches for CreateProcess ACLs (accepted upstream).
 -- Sebastian Lackner <sebastian@fds-team.de>  Sat, 04 Oct 2014 04:36:22 +0200

wine-compholio (1.7.27) unstable; urgency=low
  * Fixed some issues in the patches for GetSystemTimes.
  * Added patch to support FIND_FIRST_EX_LARGE_FETCH flag in FindFirstFileExW.
  * Added patch to fix deadlock caused by incorrect wrapper of glu polygon/contour function.
  * Added patch to avoid filling out KdHelp for usermode applications.
  * Added patch to silence repeated GSUB_apply_ChainContext[Subst|Pos] FIXMEs.
  * Added patch to revert wined3d pixelformat changes (causes regression in many games).
  * Added patch to implement software decoding/encoding of DXT1 textures.
  * Removed patch to use assembly wrapper for TLS callbacks (accepted upstream).
  * Removed patch to fix uninitialized cch struct member in GetMenuItemInfo (accepted upstream).
  * Removed some patches for riched20/IText*-interface (accepted upstream).
  * Removed patch to fix deadlock caused by incorrect wrapper of glu functions (accepted upstream).
  * Removed patch for stub of BCryptGetFipsAlgorithmMode (accepted upstream).
 -- Sebastian Lackner <sebastian@fds-team.de>  Sat, 20 Sep 2014 05:52:23 +0200

wine-compholio (1.7.26) unstable; urgency=low
  * Added new make targets 'series' and 'install-git'.
  * Some improvements in the patch system scripts.
  * Fixed issues in the winepulse configure script.
  * Fixed some issues in patches for Inherited ACLs.
  * Fixed some issues in patches for backwards compatibility with old ACL format.
  * Added patch to fix unintentional leaks with ntdll internals.
  * Added patch to add support for DOS hidden/system file attributes.
  * Added patch to use dynamic linking for libpcap.
  * Added patch to fix issues when using setcap on wine executable.
  * Added patch to improve heap allocation performance by using more freelists.
  * Added patch to fix detection of ncurses on Archlinux (avoids ugly workarounds at build time).
  * Added patch to fix detection of gnutls on Ubuntu 14.10.
  * Added patch to use assembly wrapper for TLS callbacks.
  * Added patch to fix uninitialized cch struct member in GetMenuItemInfo.
  * Removed patch to fix issue with msi/ITERATE_MoveFiles (accepted upstream).
  * Removed patch to fix detection of ncurses on Archlinux (accepted upstream).
 -- Sebastian Lackner <sebastian@fds-team.de>  Sun, 07 Sep 2014 23:50:25 +0200

wine-compholio (1.7.25) unstable; urgency=low
  * Improve generation of README.md on patch update.
  * Updated patches for riched20 IText* Interface.
  * Fixed some issues in the patches for TransmitFile.
  * Fixed some issues in the patches for CreateProcess ACLs.
  * Fixed issue with gitapply.sh script on Gentoo systems.
  * Added patch with stub for DwmInvalidateIconicBitmaps.


=== debian/control ===
Source: wine-compholio
Section: otherosfs
Priority: optional
Maintainer: Erich E. Hoover <erich.e.hoover@gmail.com>
XSBC-Original-Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
Build-Depends: autotools-dev,
               autoconf,
               bison,
               bsdmainutils,
               coreutils,
               debhelper (>= 7),
               docbook-to-man,
               docbook-utils,
               docbook-xsl,
               flex,
               fontforge,
               gawk,
               gcc-4.5 | gcc-4.7 | ubuntu-desktop (<< 1.207),
               gettext,
               gzip,
               libacl1-dev,
               libasound2-dev,
               libcapi20-dev,
               libcups2-dev,
               libdbus-1-dev,
               libesd0 | libesd-alsa0,
               libesd0-dev,
               libfontconfig1-dev | libfontconfig-dev,
               libfreetype6-dev,
               libgl1-mesa-dev | nvidia-glx-dev | fglrx-driver-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libgnutls-dev,
               libgphoto2-dev | libgphoto2-6-dev | libgphoto2-2-dev (>= 2.4.6),
               libgsm1-dev,
               libice-dev,
               libjpeg-dev,
               liblcms2-dev | ubuntu-desktop (<< 1.267),
               libldap2-dev, libldap-dev,
               libmpg123-dev,
               libncurses5-dev | libncurses-dev,
               libopenal-dev (>= 1:1.12) | ubuntu-desktop (<< 1.207),
               libpcap-dev,
               libpng12-dev,
               libpulse-dev,
               libsane-dev,
               libssl-dev,
               libstdc++6-4.5-dev | libstdc++-dev,
               libtiff5-dev | libtiff4-dev | libtiff-dev,
               libtxc-dxtn-s2tc-dev,
               libv4l-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxxf86vm-dev,
               linux-kernel-headers,
               linux-libc-dev,
               prelink,
               quilt (>= 0.46-7~),
               sharutils,
               unixodbc-dev,
               x11proto-xinerama-dev
Standards-Version: 3.9.2

Package: wine-compholio-i386
Architecture: i386
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    ${shlibs:Depends},
            libasound2-plugins,
            libncurses5
Recommends: libcapi20-3,
            libcups2,
            libdbus-1-3,
            libfontconfig1 | libfontconfig,
            libfreetype6,
            libgnutls26,
            libgphoto2-6 | libgphoto2-2 (>= 2.4.6),
            libgphoto2-port10 | libgphoto2-port0 (>= 2.4.6),
            libjpeg8,
            libopenal1 (>= 1:1.12),
            libosmesa6,
            libpcap0.8,
            libpng12-0,
            libpulse0,
            libsane,
            libssl1.0.0,
            libtiff5 | libtiff4,
            libtxc-dxtn-s2tc0,
            libv4l-0,
            libxcomposite1,
            libxcursor1,
            libxi6,
            libxinerama1,
            libxrandr2,
            libxrender1,
            libxslt1.1,
            libxt6,
            libxxf86vm1,
            libodbc1,
            libgsm1
Section: otherosfs
Priority: optional
Replaces: wine-compholio (<< 1.7.15-1~)
Breaks: wine-compholio (<< 1.7.15-1~)
Description: The Compholio Edition is a special build of the popular Wine software
 with patches representing my current staging tree for Wine.
 .
 Microsoft Windows Compatibility Layer (Binary Emulator and Library)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package provides support for loading 32-bit x86 Windows applications
 .
 This package is based on a recent Wine beta.  While many more applications will
 work, there may be some loss of functionality compared with the stable release
 provided by the regular wine package.

Package: wine-compholio-amd64
Architecture: amd64
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    ${shlibs:Depends},
            libasound2-plugins,
            libncurses5
Recommends: libcapi20-3,
            libcups2,
            libdbus-1-3,
            libfontconfig1 | libfontconfig,
            libfreetype6,
            libgnutls26,
            libgphoto2-6 | libgphoto2-2 (>= 2.4.6),
            libgphoto2-port10 | libgphoto2-port0 (>= 2.4.6),
            libjpeg8,
            libopenal1 (>= 1:1.12),
            libosmesa6,
            libpcap0.8,
            libpng12-0,
            libpulse0,
            libsane,
            libssl1.0.0,
            libtiff5 | libtiff4,
            libtxc-dxtn-s2tc0,
            libv4l-0,
            libxcomposite1,
            libxcursor1,
            libxi6,
            libxinerama1,
            libxrandr2,
            libxrender1,
            libxslt1.1,
            libxt6,
            libxxf86vm1,
            libodbc1,
            libgsm1
Section: otherosfs
Priority: optional
Replaces: wine-compholio (<< 1.7.15-1~)
Breaks: wine-compholio (<< 1.7.15-1~)
Description: The Compholio Edition is a special build of the popular Wine software
 with patches representing my current staging tree for Wine.
 .
 Microsoft Windows Compatibility Layer (Binary Emulator and Library)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package provides support for loading 64-bit x86 Windows applications
 .
 This package is based on a recent Wine beta.  While many more applications will
 work, there may be some loss of functionality compared with the stable release
 provided by the regular wine package.

Package: wine-compholio
Architecture: i386 amd64
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    ${misc:Depends}, ${shlibs:Depends},
            wine-compholio-i386  (= ${binary:Version}) [i386 amd64],
            wine-compholio-amd64 (= ${binary:Version}) [amd64],
Section: otherosfs
Priority: optional
Description: The Compholio Edition is a special build of the popular Wine software
 with patches representing my current staging tree for Wine.
 .
 Microsoft Windows Compatibility Layer (Binary Emulator and Library)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package includes a program loader for running unmodified Windows executables
 as well as the Wine project's free version of the Windows API for running programs
 ported from Windows.
 .
 This package is based on a recent Wine beta.  While many more applications will
 work, there may be some loss of functionality compared with the stable release
 provided by the regular wine package.

Package: wine-compholio-dev
Architecture: i386 amd64
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    libc6-dev,
            ${shlibs:Depends},
            wine-compholio-i386  (= ${binary:Version}) [i386 amd64],
            wine-compholio-amd64 (= ${binary:Version}) [amd64],
Section: libdevel
Priority: optional
Replaces: wine-compholio (<< 1.7.15-1~)
Breaks: wine-compholio (<< 1.7.15-1~)
Description: The Compholio Edition is a special build of the popular Wine software
 with patches representing my current staging tree for Wine.
 .
 Microsoft Windows Compatibility Layer (Binary Emulator and Library)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package consists of the development files needed to compile programs
 using wine's free version of the Microsoft Windows API.

Package: wine-compholio-dbg
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    ${shlibs:Depends},
            wine-compholio-i386  (= ${binary:Version}) [i386 amd64],
            wine-compholio-amd64 (= ${binary:Version}) [amd64],
Section: debug
Priority: optional
Replaces: wine-compholio (<< 1.7.15-1~)
Breaks: wine-compholio (<< 1.7.15-1~)
Description: The Compholio Edition is a special build of the popular Wine software
 with patches representing my current staging tree for Wine.
 .
 Microsoft Windows Compatibility Layer (Binary Emulator and Library)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package includes debugging symbols useful for reporting crashes and other
 failures.

=== debian/rules ===
#!/usr/bin/make -f

# Use gcc-4.5 if it's available
ifeq ($(shell which gcc-4.5),)
	CC = gcc
else
	CC = gcc-4.5
endif

%:
	dh $@ --parallel


override_dh_auto_configure:

	# Apply our patches, reconfigure, and update the wineserver protocol request data
	make -C "$(CURDIR)/patches/" DESTDIR="$(CURDIR)" install

	# Run configure
ifeq ($(DEB_BUILD_ARCH), amd64)
	./configure --prefix=/opt/wine-compholio \
				--libdir=\$${prefix}/lib64 \
				--mandir=\$${prefix}/share/man \
				--infodir=\$${prefix}/share/info \
				--enable-win64 \
				--without-gstreamer \
				--with-xattr \
				$(CONFFLAGS)
else
	./configure --prefix=/opt/wine-compholio \
				--libdir=\$${prefix}/lib \
				--mandir=\$${prefix}/share/man \
				--infodir=\$${prefix}/share/info \
				--without-gstreamer \
				--with-xattr \
				$(CONFFLAGS)
endif


override_dh_auto_test:
	# Wine's test suite does not pass on build daemons, skip it for now


override_dh_installdocs:

	# Create copies of license files
	cp "$(CURDIR)/LICENSE" "$(CURDIR)/LICENSE.wine"
	cp "$(CURDIR)/LICENSE.md" "$(CURDIR)/LICENSE.wine-compholio"

	dh_installdocs --link-doc=wine-compholio


override_dh_install:
	dh_install --fail-missing

	# These files will end up in multiple packages otherwise
	rm -f debian/wine-compholio/opt/wine-compholio/bin/wine
	rm -f debian/wine-compholio/opt/wine-compholio/bin/wine-preloader
	rm -f debian/wine-compholio/opt/wine-compholio/bin/wine64
	rm -f debian/wine-compholio/opt/wine-compholio/bin/wine64-preloader


override_dh_strip:
	dh_strip -Xwine-pthread -Xwine-kthread --dbg-package=wine-compholio-dbg


override_dh_shlibdeps:
ifeq ($(DEB_HOST_ARCH),amd64)
	dh_shlibdeps -l $(CURDIR)/debian/tmp/opt/wine-compholio/lib64/
else
	dh_shlibdeps -l $(CURDIR)/debian/tmp/opt/wine-compholio/lib/
endif
